---
test:
  extends: .base
  stage: test
  needs: [build]
  parallel:
    matrix:
      - TEST_OPT: ["value1", "value2", "value3"]
  script:
    - ./build/main > output.txt
    - echo ${TEST_OPT} >> output.txt
    - cat output.txt
    - |
      if grep -q "Hello, GitLab CI/CD!" output.txt && grep -q ${TEST_OPT} output.txt; then
        echo "Test Passed" > results.txt
      else
        echo "Test Failed" > results.txt
        exit 1
      fi
  artifacts:
    paths:
      - results.txt
    expire_in: 1 week
